package io.zipcoder.crudapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class PersonController {
    @Autowired
    private PersonRepository personRepository;

    @PostMapping("/people")
    Person createPerson(@RequestBody Person p){
        personRepository.save(p);
        return p;
    }

    @GetMapping("/people/{id}")
    Person getPerson(@PathVariable int id){
       return personRepository.findOne(id);


    }
    @GetMapping("/people")
    Iterable<Person> getPersonList(){
        return personRepository.findAll();

    }
    @PutMapping("/people/{id}")
    Person updatePerson(@PathVariable int id,@RequestBody Person p){
        Person personToBeUpdated = getPerson(id);
        personToBeUpdated.setFirstName(p.getFirstName());
        personToBeUpdated.setLastName(p.getLastName());
        personRepository.save(personToBeUpdated);
        return personToBeUpdated;

    }
    @DeleteMapping("/people/{id}")
    void DeletePerson(@PathVariable int id){
//        Person personToBeDeleted = getPerson(id);
//        personRepository.delete(personToBeDeleted);

        personRepository.delete(id);

    }


}
